# Execute Infrastructure

Endpoint for executing an infrastructure, with the options of either dryrunning this process, or forcing it.

Endpoint: POST /api/infrastructures/execute
Version: 1.0
Security: x-api-key

## Query parameters:

  - `dryRun` (boolean)
    Dry run the infrastructure

  - `force` (boolean)
    Force updates to all instances in the infrastructure

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.

## Request fields (application/json):

  - `infrastructureYaml` (string, required)
    infrastructure to Execute

  - `orgIdentifier` (string)
    Org is the organization identifier.

  - `projectIdentifier` (string)
    Project is the project identifier.

## Response 400 fields (application/json):

  - `code` (string)

  - `details` (object)

  - `message` (string, required)

  - `name` (string, required)


